Subject: R: [SIP] Multiple instances of same UA: How to distinguish them?

From: "Giacomo Vacca" <[email-masked]>
Date: Thu, 19 May 2005 14:44:08 +0200

Thank you for your reply: I agree with you.
But let's consider a case where the Contact stored after the registration
differs from that carried by the INVITE. Perhaps this is not a "ideal" case,
but I'm confident it can happen.
I think that the only way to distinguish them is to store IP address and
port from which the requests arrived. What do you think about?
 
Thanks
Giacomo

  _____  

Da: [email-masked] [mailto:[email-masked]] 
Inviato: giovedì 19 maggio 2005 13.31
A: [email-masked]
Oggetto: RE: [SIP] Multiple instances of same UA: How to distinguish them?

Normally proxy would not require to know who is calling except for
authentication purpose.All it does is to check if it can locate the person
mentioned in the Request URI in the Location Information.
 
But if u need a way to really distinguish at proxy which instance is sending
the INVITE.Contact header In INVITE can be compared with the contact header
value already existing in the Location Information.

  _____  

From: [email-masked] on behalf of Giacomo Vacca
Sent: Thu 5/19/2005 2:07 PM
To: [email-masked]
Subject: [SIP] Multiple instances of same UA: How to distinguish them?

Hi All,
Take this scenario: I have a SIP Phone in my office, and I use my account:
UserID: giacomo, Password: ****, registering to "myregistrar.domain".
Now, in order to use the same service I want to use the same account at
home. So I register mysoftphone with same UserID, password and in the same
registrar "myregistrar.domain" from home.
 
Suppose that the registrar allows this multiple registration for the same
UserID, adding the home contact to the previous office contact.
 
The question is: "Is there a way for the Proxy/Registrar
(myregistrar.domain) to distinguish which entity (office or home) is trying
to invite someone, if the registrar receives an INVITE from the office SIP
Phone or from the home softphone?"
 
Thank you in advance!
Giacomo

Confidentiality Notice 

The information contained in this electronic message and any attachments to
this message are intended
for the exclusive use of the addressee(s) and may contain confidential or
privileged information. If
you are not the intended recipient, please notify the sender at Wipro or
[email-masked] immediately
and destroy all copies of this message and any attachments.

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: Paul Kyzivat <[email-masked]>
Date: Thu, 19 May 2005 09:46:23 -0400

The significant point here is that sip does not require a sender to 
first register. A sender is a sender and should be judged by any server 
along the path by what information is contained in the request.

If the sender and the proxy want to make a side agreement that the proxy 
will correlate an outgoing message with a registration, and provide some 
services based on that correlation, then they can do so. But sip isn't 
going to tell them how to do it.

	Paul

Giacomo Vacca wrote:
> But let's consider a case where the Contact stored after the 
> registration differs from that carried by the INVITE. Perhaps this is 
> not a "ideal" case, but I'm confident it can happen.
>     ------------------------------------------------------------------------
>     *Da:* [email-masked]
>     [mailto:[email-masked]]
>     *Inviato:* giovedì 19 maggio 2005 13.31
>     *A:* [email-masked]
>     *Oggetto:* RE: [SIP] Multiple instances of same UA: How to
>     distinguish them?
> 
>     authentication purpose.All it does is to check if it can locate the
>     person mentioned in the Request URI in the Location Information.
>      
>     But if u need a way to really distinguish at proxy which instance is
>     sending the INVITE.Contact header In INVITE can be compared with the
>     contact header value already existing in the Location Information.
>      
> 
>     ------------------------------------------------------------------------
>     *From:* [email-masked] on behalf of Giacomo Vacca
>     *Sent:* Thu 5/19/2005 2:07 PM
>     *To:* [email-masked]
>     *Subject:* [SIP] Multiple instances of same UA: How to distinguish them?
> 
>     Hi All,
>     Take this scenario: I have a SIP Phone in my office, and I use my
>     account: UserID: giacomo, Password: ****, registering to
>     "myregistrar.domain".
>     Now, in order to use the same service I want to use the same account
>     at home. So I register mysoftphone with same UserID, password and in
>     the same registrar "myregistrar.domain" from home.
>      
>     Suppose that the registrar allows this multiple registration for the
>     same UserID, adding the home contact to the previous office contact.
>      
>     (myregistrar.domain) to distinguish which entity (office or home) is
>     trying to invite someone, if the registrar receives an INVITE from
>     the office SIP Phone or from the home softphone?"
>      
>     Thank you in advance!
>     Giacomo
>      
>      
> 
> 
>     Confidentiality Notice
> 
>     The information contained in this electronic message and any
>     attachments to this message are intended
>     for the exclusive use of the addressee(s) and may contain
>     confidential or privileged information. If
>     you are not the intended recipient, please notify the sender at
>     Wipro or [email-masked] immediately
> ------------------------------------------------------------------------
>

---

From: Jonathan Rosenberg <[email-masked]>
Date: Fri, 27 May 2005 02:22:40 -0400

To add to this, if a proxy does decide to somehow do this correlation, 
the GRUU mechanism is the best way to do that. The contact URI populated 
in the INVITE will contain the GRUU, and since the SIP provider had 
created this gruu as a result of a registration from a particular UA 
instance, it can correlate them together.

-Jonathan R.

Paul Kyzivat wrote:

>> I think that the only way to distinguish them is to store IP address 
>> and port from which the requests arrived. What do you think about?
>>  
>> Thanks
>> Giacomo
>>
>>     

-- 
Jonathan D. Rosenberg, Ph.D.                   600 Lanidex Plaza
Director, Service Provider VoIP Architecture   Parsippany, NJ 07054-2711
Cisco Systems
[email-masked]                              FAX:   (973) 952-5050
http://www.jdrosen.net                         PHONE: (973) 952-5000
http://www.cisco.com